Bug 49421 - openssl won't let you create certificate without a password
openssl won't let you create certificate without a password
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: openssl (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-19 09:40 EDT by Jonathan Kamens
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-19 09:40:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2001-07-19 09:40:21 EDT
/usr/bin/openssl won't let you create a certificate without a password (at
least not as far as I can tell).  That means that you can't create a test
certificate to install on your Web server which will allow the Web server
to come up with SSL enabled without stopping at boot time to prompt for a
password.  This is bad.
Comment 1 Nalin Dahyabhai 2001-08-08 15:33:25 EDT
The default mode for the openssl "genrsa" command does not encrypt the key.
To prevent encryption when generating a key while generating a certificate using 
the "req" command, use the "-nodes" flag:
openssl req -new -newkey rsa:1024 -nodes -keyout /tmp/server.key -x509 -out
/tmp/server.crt -days 365

Note You need to log in before you can comment on or make changes to this bug.